%global srcname eimp

%global p1_utils_ver 1.0.12


Name:    erlang-eimp
Version: 1.0.18
Release: %mkrel 1

Group:   Development/Erlang
License: ASL 2.0
Summary: Erlang Image Manipulation Process
URL:     https://github.com/processone/eimp/
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: gd-devel
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: webp-devel

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
eimp is an Erlang/Elixir application for manipulating graphic images
using external C libraries. It supports WebP, JPEG, PNG and GIF.


%prep
%autosetup -n %{srcname}-%{version}

rm configure
touch config.{guess,sub}
ln -s %{_datadir}/automake-*/install-sh .

%build
autoreconf -ivf
%configure
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/bin/* --target-directory=%{buildroot}%{erlang_appdir}/priv/bin/


%check
# The unit tests do not pass: https://github.com/processone/eimp/issues/5
echo "Skipping tests."


%files
%license LICENSE.txt
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Sun Dec 20 2020 neoclust <neoclust> 1.0.18-1.mga8
+ Revision: 1661891
- New version 1.0.18

* Sun Dec 20 2020 neoclust <neoclust> 1.0.17-2.mga8
+ Revision: 1661421
- Rebuild against new p1utils

* Sat Oct 24 2020 wally <wally> 1.0.17-1.mga8
+ Revision: 1639106
- new version 1.0.17
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 wally <wally> 1.0.6-1.mga7
+ Revision: 1288271
- imported package erlang-eimp


* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.0.6-2
- Rebuild with fixed binutils

* Sun Jul 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.6-1
- Update to 1.0.6 (#1596196).
- https://github.com/processone/eimp/blob/1.0.6/CHANGELOG.md

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5 (#1561272).
- https://github.com/processone/eimp/blob/1.0.5/CHANGELOG.md

* Thu Mar 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3 (#1561272).

* Mon Mar 26 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.2-1
- Initial release (#1560823).
